import { LitElement } from 'lit';
export declare class RoleSelector extends LitElement {
    static styles: import("lit").CSSResult[];
    roleCategory: string;
    user: any;
    roles: any[];
    userRoles: any[];
    render(): import("lit-html").TemplateResult<1>;
    checkAll(e: any): void;
    selectedRoles(): {
        id: any;
        name: any;
    }[];
}
